<?php
/**
* ImsScormPackage.class.php
*
*
* @author               Jan Kulmann <jankul@zmml.uni-bremen.de>
*/

// +---------------------------------------------------------------------------+
// This file is NOT part of Stud.IP
// Copyright (C) 2007 Jan Kulmann <jankul@zmml.uni-bremen.de>
// +---------------------------------------------------------------------------+
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or any later version.
// +---------------------------------------------------------------------------+
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// +---------------------------------------------------------------------------+


class ImsScormPackage {

	var $assets;
	var $scos;
	var $absulute_path;

	function ImsScormPackage() {
		$this->assets = array();
		$this->scos = array();
		$this->absulute_path = "";
	}

	function setAbsolutePath($s) {
		$this->absulute_path = $s;
	}

	function getAssets() {
		return $this->assets;
	}

	function getSCOs() {
		return $this->scos;
	}

	function addAsset($a) {
		array_push($this->assets, $a);
	}

	function addSCO($s) {
		array_push($this->scos, $s);
	}

	function materialize() {
		foreach ($this->scos as $m) {
			@mkdir($this->absulute_path."/".$m->getRelativePath());
			$f = fopen($this->absulute_path."/".$m->getRelativePath()."/".$m->getFilename(),"w");
			fputs($f,$m->getContent());
			fclose($f);
		}
		foreach ($this->assets as $m) {
			@mkdir($this->absulute_path."/".$m->getRelativePath());
			$f = fopen($this->absulute_path."/".$m->getRelativePath()."/".$m->getFilename(),"w");
			fputs($f,$m->getContent());
			fclose($f);
		}


	}

	


}

?>
