CREATE TABLE IF NOT EXISTS `mp_album` (
  `album_id` varchar(32) NOT NULL default '',
  `user_id` varchar(32) NOT NULL default '',
  `titel` varchar(255) NOT NULL default '',
  `untertitel` varchar(255) default NULL,
  `beschreibung` text,
  `mkdate` int(20) NOT NULL default '0',
  `public` tinyint(2) NOT NULL default '0',
  `start_photo_id` varchar(32) default NULL,
  `allow_comments` tinyint(2) NOT NULL default '0',
  `sort` int(10) NOT NULL default '0',
  `portal_visible` TINYINT(2) NOT NULL default '0',
  PRIMARY KEY  (`album_id`)
) ENGINE=MyISAM;

CREATE TABLE IF NOT EXISTS `mp_file_content` (
  `file_id` varchar(32) NOT NULL,
  `file_content` longtext NOT NULL,
  `file_content_thumb` longtext NOT NULL,
  PRIMARY KEY  (`file_id`)
) ENGINE=MyISAM;

CREATE TABLE IF NOT EXISTS `mp_photo` (
  `photo_id` varchar(32) NOT NULL default '',
  `user_id` varchar(32) NOT NULL default '',
  `album_id` varchar(32) NOT NULL default '',
  `mkdate` int(20) NOT NULL default '0',
  `titel` varchar(255) default NULL,
  `beschreibung` text,
  `file_id` varchar(32) NOT NULL,
  `ext` varchar(255) NOT NULL,
  `sort` int(10) NOT NULL default '0',
  PRIMARY KEY  (`photo_id`)
) ENGINE=MyISAM;

CREATE TABLE IF NOT EXISTS `mp_photo_comment` (
  `comment_id` varchar(32) NOT NULL default '',
  `photo_id` varchar(32) NOT NULL default '',
  `user_id` varchar(32) NOT NULL default '',
  `mkdate` int(20) NOT NULL default '0',
  `kommentar` text NOT NULL,
  PRIMARY KEY  (`comment_id`)
) ENGINE=MyISAM;

CREATE TABLE IF NOT EXISTS `mp_range` (
  `range_id` VARCHAR( 32 ) NOT NULL,
  `album_id` VARCHAR( 32 ) NOT NULL,
  `sort` int(10) NOT NULL default '0',
  `edit_mode` varchar(255) default NULL,
  KEY `range_id` (`range_id`)
) ENGINE = MYISAM ;

INSERT IGNORE INTO `config` (`config_id`, `parent_id`, `field`, `value`, `is_default`, `type`, `range`, `section`, `position`, `mkdate`, `chdate`, `description`, `comment`, `message_template`) VALUES 
('edfb16e3830a7e9e1a3ad6e1ef2c71df', '', 'PHOTO_UPLOAD_QUOTA', '50000000', 1, 'integer', 'global', '', 0, 0, 1100709567, 'Welches Datenvolumen (in Bytes) darf ein Benutzer maximal in das MyPhoto-Plugin hochladen', '', '');
